
Infrastructure - Bug #6383

mn-unm-1.dataone.org (urn:node:mnUNM1) not accepting authenticated CN requests

2014-09-15 17:44 - Skye Roseboom

Status: Closed Start date: 2014-09-25

Priority: High Due date: 2014-09-30

Assignee: Jing Tao % Done: 100%

Category: Environment.Production Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

Noticed during replication auditing and replication operations in production that mn-unm-1.dataone.org does not appear to be

accepting authenticated requests from production CN machines.

Observed effecting 'get', 'checksum', and 'replicate' requests against non-public read content.  Robert confirmed with libclient test that

mn-unm-1.dataone.org is not accepting authenticated requests from production CN machines.

History

#1 - 2014-09-25 17:23 - Dave Vieglais

- Due date set to 2014-09-25

- Start date set to 2014-09-25

- Target version set to Maintenance Backlog

#2 - 2014-09-25 17:49 - Jing Tao

- Assignee changed from Chris Jones to Jing Tao

The version of the Metacat is 2.0.5. New release of metacat fixed the issue. So we need to upgrade Metacat in that machine.

#3 - 2014-09-26 22:14 - Jing Tao

- Due date changed from 2014-09-25 to 2014-09-26

The metacat was upgraded to version 2.4.1 and the http connection has been redirected to https.

Skye. Would you please try again?

#4 - 2014-09-30 19:29 - Jing Tao

- Due date changed from 2014-09-26 to 2014-09-30

There was another issue - the DataoneCAChain.pem was not a correct copy. I downloaded one from the repository and restarted apache. 

Skype and I tested it by a curl command. It worked.

#5 - 2014-09-30 19:29 - Jing Tao

- Status changed from New to Closed

Close it.
